diff -ruPN linuxutils_2_25_05_11_old//packages/ti/sdo/linuxutils/cmem/src/module/cmemk.c linuxutils_2_25_05_11_new//packages/ti/sdo/linuxutils/cmem/src/module/cmemk.c
--- linuxutils_2_25_05_11_old//packages/ti/sdo/linuxutils/cmem/src/module/cmemk.c	2011-05-30 12:01:19.932322989 +0200
+++ linuxutils_2_25_05_11_new//packages/ti/sdo/linuxutils/cmem/src/module/cmemk.c	2011-05-30 13:34:03.612773003 +0200
@@ -240,8 +240,12 @@
 pool_object p_objs[NBLOCKS][MAX_POOLS];
 
 /* Forward declaration of system calls */
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,36)
+static int ioctl(struct file *filp, unsigned int cmd, unsigned long args);
+#else
 static int ioctl(struct inode *inode, struct file *filp,
                  unsigned int cmd, unsigned long args);
+#endif
 static int mmap(struct file *filp, struct vm_area_struct *vma);
 static int open(struct inode *inode, struct file *filp);
 static int release(struct inode *inode, struct file *filp);
@@ -1099,8 +1103,13 @@
     size_t size;
 };
 
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,36)
+static int ioctl(struct file *filp, unsigned int cmd, unsigned long args)
+
+#else
 static int ioctl(struct inode *inode, struct file *filp,
                  unsigned int cmd, unsigned long args)
+#endif
 {
     unsigned int __user *argp = (unsigned int __user *) args;
     struct list_head *freelistp = NULL;
